> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemseventhandler.md).

# DataRepeaterAddRemoveItemsEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [ItemsAdded](/api/wisej.web/containers/datarepeater.md#itemsadded), [ItemsRemoved](/api/wisej.web/containers/datarepeater.md#itemsremoved), [UserAddedItems](/api/wisej.web/containers/datarepeater.md#useraddeditems), and [UserDeletedItems](/api/wisej.web/containers/datarepeater.md#userdeleteditems) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void DataRepeaterAddRemoveItemsEventHandler(Object sender, DataRepeaterAddRemoveItemsEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub DataRepeaterAddRemoveItemsEventHandler(ByVal sender As [Object], ByVal e As DataRepeaterAddRemoveItemsEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                                           | Description                             |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                                  | The source of the event.                |
| **e**      | [DataRepeaterAddRemoveItemsEventArgs](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemseventargs.md) | An object that contains the event data. |

## Fired By

| Name                                                                                        | Description                                                                                                                                                                                  |
| ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataRepeater.ItemsAdded](/api/wisej.web/containers/datarepeater.md#itemsadded)             | Fired when a new [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) is added to the [DataRepeater](/api/wisej.web/containers/datarepeater.md) control. |
| [DataRepeater.ItemsRemoved](/api/wisej.web/containers/datarepeater.md#itemsremoved)         | Fired when a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) is deleted from the [DataRepeater](/api/wisej.web/containers/datarepeater.md) control. |
| [DataRepeater.UserAddedItems](/api/wisej.web/containers/datarepeater.md#useraddeditems)     | Fired when the user adds a new [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md).                                                                     |
| [DataRepeater.UserDeletedItems](/api/wisej.web/containers/datarepeater.md#userdeleteditems) | Fired after the user deletes a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md).                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemseventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
